Subject: Re: [PATCH] RDMA/cxgb3: logical-/bit-or confusion?

From: Roland Dreier <[email-masked]>
Date: Wed, 18 Feb 2009 16:37:51 -0800

> -	ep->mpa_attr.crc_enabled = (mpa->flags & MPA_CRC) | crc_enabled ? 1 : 0;
 > +	ep->mpa_attr.crc_enabled = (mpa->flags & MPA_CRC) || crc_enabled ? 1 : 0;

 > -	ep->mpa_attr.crc_enabled = (mpa->flags & MPA_CRC) | crc_enabled ? 1 : 0;
 > +	ep->mpa_attr.crc_enabled = (mpa->flags & MPA_CRC) || crc_enabled ? 1 : 0;

So as I said before, I guess this change is fine, except:

add/remove: 0/0 grow/shrink: 1/0 up/down: 18/0 (18)
function                                     old     new   delta
rx_data                                     1237    1255     +18

ie it makes the object code 18 bytes bigger on x86-64 (gcc 4.3.2).
Given that the code works the same either way, is this change a net win?

 - R.